<?php defined("SYSPATH") or die("No direct script access.") ?>
<? 
  $tagcolor 	= module::get_var("tag_graph", "tagcolor", "ffffff");
  $mouseover 	= module::get_var("tag_graph", "mouseover", "b1b1b1");
  $show_above 	= module::get_var("tag_graph", "show_above", "1");
  $show_below 	= module::get_var("tag_graph", "show_below", "99");
  $div_height	= module::get_var("tag_graph", "height", "1500");
  
  $maxRawCount 	= 0;
  foreach ($tags as $tag) {
	if ($maxRawCount < $tag->count) {
		$maxRawCount = $tag->count;
	}
  }
  $max_scale 	= min($maxRawCount, $show_below);
?>
<style type="text/css">
#tags .number {
<? if ($max_scale <= 9) { ?>
	width: 1.2em;
<? } elseif ($max_scale < 100) { ?>
	width: 1.5em;
<? } else { ?>
	width: 2.1em;
<? } ?>
}

#tags .tag {
<? if ($max_scale <= 9) { ?>
	left: 5.5em;
<? } elseif ($max_scale < 100) { ?>
	left: 6.0em;
<? } else { ?>
	left: 6.5em;
<? } ?>
}

#tags .tag a:link, #tags .tag a:visited {
	color: #<?= $tagcolor ?>!important;
}
#tags .tag a:hover, #tags .tag a:active {
	color: #<?= $mouseover ?>!important;
}
<? if ($div_height > 0) { ?>
#g-block-content {
height:100%!important;
}
#tags_table {
margin-left: -0.5em;
height: <?= $div_height ?>px !important;
overflow: auto !important;
overflow-y: scroll !important;
}
<? } ?>
</style>
<div id="tags_table">
	<ul id="tags">
<? foreach ($tags as $tag):
	$count = $tag->count;
	if ($count > $show_above && $count < $show_below) {
?>
	<li>
	  <span class='graph'>
	  <span class='level' style='width:<?= round($tag->count/$max_scale*100) ?>%'></span>
	  </span>
	  <span class="tag">
      <a href="<?= $tag->url() ?>"><?= html::clean($tag->name) ?></a>
	  </span>
	  <span class='number'><?= $tag->count ?></span>
	</li>
<? 
	}
endforeach ?>
    </ul>
</div>

